Loading...
Searching...
No Matches
field_lazy_mult_form< FormExpr, FieldExpr >

## Detailed Description

template<class FormExpr, class FieldExpr>
class rheolef::details::field_lazy_mult_form< FormExpr, FieldExpr >

Definition at line 144 of file field_lazy_form_mult.h.

Inheritance diagram for field_lazy_mult_form< FormExpr, FieldExpr >:

## Public Types

using | rep = field_lazy_mult_form_rep< FormExpr, FieldExpr >
using | base1 = smart_pointer_nocopy< rep >
using | base2 = field_lazy_base< field_lazy_mult_form< FormExpr, FieldExpr > >
using | size_type = typename rep::size_type
using | memory_type = typename rep::memory_type
using | scalar_type = typename rep::scalar_type
using | space_type = typename rep::space_type
using | geo_type = typename rep::geo_type
using | band_type = typename rep::band_type
using | vector_element_type = typename rep::vector_element_type
Public Types inherited from smart_pointer_nocopy< field_lazy_mult_form_rep< FormExpr, FieldExpr > >
typedef field_lazy_mult_form_rep< FormExpr, FieldExpr > | handled_type
typedef base::internal | internal

## Public Member Functions

| field_lazy_mult_form (const FormExpr &a_expr, const FieldExpr &u_expr)
const geo_type & | get_geo () const
const space_type & | get_space () const
bool | is_on_band () const
band_type | get_band () const
void | initialize (const geo_type &omega_K) const
void | evaluate (const geo_type &omega_K, const geo_element &K, vector_element_type &uk) const
Public Member Functions inherited from smart_pointer_nocopy< field_lazy_mult_form_rep< FormExpr, FieldExpr > >
| smart_pointer_nocopy (field_lazy_mult_form_rep< FormExpr, FieldExpr > *p=0)
| smart_pointer_nocopy (void *count, internal i)
| smart_pointer_nocopy (const smart_pointer_nocopy< field_lazy_mult_form_rep< FormExpr, FieldExpr > > &x)
smart_pointer_nocopy< field_lazy_mult_form_rep< FormExpr, FieldExpr > > & | operator= (const smart_pointer_nocopy< field_lazy_mult_form_rep< FormExpr, FieldExpr > > &x)
| ~smart_pointer_nocopy ()
Public Member Functions inherited from smart_pointer_base< T, C >
| smart_pointer_base (T *p=0)
| smart_pointer_base (const smart_pointer_base< T, C > &)
| smart_pointer_base (void *count, internal)
smart_pointer_base< T, C > & | operator= (const smart_pointer_base< T, C > &)
| ~smart_pointer_base ()
const T * | pointer () const
const T & | data () const
const T * | operator-> () const
const T & | operator* () const
T * | pointer ()
T & | data ()
T * | operator-> ()
T & | operator* ()
int | reference_counter () const
counter * | get_count () const

## Additional Inherited Members

Protected Member Functions inherited from field_lazy_base< field_lazy_mult_form< FormExpr, FieldExpr > >
field_lazy_mult_form< FormExpr, FieldExpr > & | derived ()
const field_lazy_mult_form< FormExpr, FieldExpr > & | derived () const

## Member Typedef Documentation

## rep

template<class FormExpr , class FieldExpr >

using rep = field_lazy_mult_form_rep<FormExpr,FieldExpr>

Definition at line 149 of file field_lazy_form_mult.h.

## base1

template<class FormExpr , class FieldExpr >

using base1 = smart_pointer_nocopy<rep>

Definition at line 150 of file field_lazy_form_mult.h.

## base2

template<class FormExpr , class FieldExpr >

using base2 = field_lazy_base<field_lazy_mult_form<FormExpr,FieldExpr> >

Definition at line 151 of file field_lazy_form_mult.h.

## size_type

template<class FormExpr , class FieldExpr >

using size_type = typename rep::size_type

Definition at line 152 of file field_lazy_form_mult.h.

## memory_type

template<class FormExpr , class FieldExpr >

using memory_type = typename rep::memory_type

Definition at line 153 of file field_lazy_form_mult.h.

## scalar_type

template<class FormExpr , class FieldExpr >

using scalar_type = typename rep::scalar_type

Definition at line 154 of file field_lazy_form_mult.h.

## space_type

template<class FormExpr , class FieldExpr >

using space_type = typename rep::space_type

Definition at line 155 of file field_lazy_form_mult.h.

## geo_type

template<class FormExpr , class FieldExpr >

using geo_type = typename rep::geo_type

Definition at line 156 of file field_lazy_form_mult.h.

## band_type

template<class FormExpr , class FieldExpr >

using band_type = typename rep::band_type

Definition at line 157 of file field_lazy_form_mult.h.

## vector_element_type

template<class FormExpr , class FieldExpr >

using vector_element_type = typename rep::vector_element_type

Definition at line 158 of file field_lazy_form_mult.h.

## Constructor & Destructor Documentation

## field_lazy_mult_form()

template<class FormExpr , class FieldExpr >

field_lazy_mult_form | ( | const FormExpr & | a_expr,
|  | const FieldExpr & | u_expr
| ) |  |

Definition at line 162 of file field_lazy_form_mult.h.

## Member Function Documentation

## get_geo()

template<class FormExpr , class FieldExpr >

const geo_type & get_geo | ( |  | ) | const

Definition at line 169 of file field_lazy_form_mult.h.

## get_space()

template<class FormExpr , class FieldExpr >

const space_type & get_space | ( |  | ) | const

Definition at line 170 of file field_lazy_form_mult.h.

## is_on_band()

template<class FormExpr , class FieldExpr >

bool is_on_band | ( |  | ) | const

Definition at line 171 of file field_lazy_form_mult.h.

## get_band()

template<class FormExpr , class FieldExpr >

band_type get_band | ( |  | ) | const

Definition at line 172 of file field_lazy_form_mult.h.

## initialize()

template<class FormExpr , class FieldExpr >

void initialize | ( | const geo_type & | omega_K | ) | const

Definition at line 174 of file field_lazy_form_mult.h.

## evaluate()

template<class FormExpr , class FieldExpr >

void evaluate | ( | const geo_type & | omega_K,
|  | const geo_element & | K,
|  | vector_element_type & | uk
| ) |  | const

Definition at line 176 of file field_lazy_form_mult.h.

The documentation for this class was generated from the following file:

- /build/rheolef-Hrneba/rheolef-7.2/main/lib/field_lazy_form_mult.h